System.Web 2.0.0.0 System.Configuration.Provider.ProviderCollection

The class is a strongly typed collection of objects. In addition to the two add methods, and , the class supports the method to add an array of type .

The is used by the class to track the set of objects that are available to the during site map initialization. However, the presence of a in the provider collection does not necessarily mean it is used by a object, only that it is available for use.

When a is stored in the , the property is used as the key.

Used by the class to track the set of objects that are available to the during site map initialization. This class cannot be inherited.

- Constructor

  The default constructor initializes any fields to their default values

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The object that is returned by the property is read-only. For this reason, you cannot use the and methods to add additional providers programmatically at run time. Therefore, the and methods are used only in scenarios where you manually create site map provider objects and manage them with an instance of the class. The method checks the type of the specified provider, and then calls the method to add it to the collection.

  Because the class is static, any contained in its collection remains for the lifetime of the Web application.

  Adds a to the provider collection using the property as the key.

  The to add. 2.0.0.0
- Method
  System.Void ``

  The object that is returned by the property is read-only. For this reason, you cannot use the and methods to programmatically add additional providers to the at run time. Therefore, the and methods are used only in scenarios where you manually create site map provider objects and manage them with an instance of the class. Use the method when you want to add a single to the .

  Because the class is static, any contained in its collection remains for the lifetime of the Web application.

  Adds a object to the provider collection using the property as the key.

  The to add. 2.0.0.0
- Method
  System.Void ``

  The that is returned by the property is read-only. For this reason, you cannot use the and methods to add additional providers programmatically at run time. Therefore, the and methods are only used in scenarios where you manually create site map provider objects and manage them with an instance of the class.

  Because the class is static, any contained in its collection remains for the lifetime of the Web application.

  Adds an array of objects into the provider collection using the properties as keys.

  The array of objects to add. 2.0.0.0
- Property
  System.Web.SiteMapProvider `` To be added. To be added. To be added. To be added. 2.0.0.0